## org.biojava.bio.gui.sequence
Class FeatureBlockSequenceRenderer

    java.lang.Object
      |
      +--org.biojava.bio.gui.sequence.FeatureBlockSequenceRenderer

public class FeatureBlockSequenceRenderer
extends java.lang.Object
implements SequenceRenderer, java.beans.PropertyChangeListener

Field Summary
`protected java.beans.PropertyChangeSupport` `pcs`

Constructor Summary
`FeatureBlockSequenceRenderer()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` `addPropertyChangeListener(java.lang.String p, java.beans.PropertyChangeListener l)`
`double` `getDepth(SequencePanel sp)` Retrieve the depth of this renderer when rendering sp.
`FeatureRenderer` `getFeatureRenderer()`
`protected FeatureHolder` `getFeatures(SequencePanel sp)`
`FeatureFilter` `getFilter()`
`java.lang.String` `getLabel()`
`double` `getMinimumLeader(SequencePanel sp)` Retrieve the minimum leading distance for this renderer when rendering sp.
`double` `getMinimumTrailer(SequencePanel sp)` Retrieve the minimum trailing distance for this renderer when rendering sp.
`void` `paint(java.awt.Graphics2D g, SequencePanel sp, java.awt.geom.Rectangle2D seqBox)` Render a portion (possibly all) of the information for sp to g, displaying all of the data that would fall within seqBox.
`void` `propertyChange(java.beans.PropertyChangeEvent ev)`
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` `removePropertyChangeListener(java.lang.String p, java.beans.PropertyChangeListener l)`
`void` `setDepth(double d)`
`void` `setFeatureRenderer(FeatureRenderer r)`
`void` `setFilter(FeatureFilter f)`
`void` `setLabel(java.lang.String label)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pcs

    protected java.beans.PropertyChangeSupport pcs

Constructor Detail

### FeatureBlockSequenceRenderer

    public FeatureBlockSequenceRenderer()

Method Detail

### getFilter

    public FeatureFilter getFilter()

### setFilter

    public void setFilter(FeatureFilter f)

### getFeatureRenderer

    public FeatureRenderer getFeatureRenderer()

### setFeatureRenderer

    public void setFeatureRenderer(FeatureRenderer r)

### setDepth

    public void setDepth(double d)

### getDepth

    public double getDepth(SequencePanel sp)

  Description copied from interface: SequenceRenderer
  Retrieve the depth of this renderer when rendering sp.

  The depth may vary between sequence panels - for example based upon sequence length.

  Specified by:
    getDepth in interface SequenceRenderer
  Tags copied from interface: SequenceRenderer
  Parameters:
    `sp` - the SequencePanel to return info for
  Returns:
    the depth of the renderer for that sequence panel

### setLabel

    public void setLabel(java.lang.String label)

### getLabel

    public java.lang.String getLabel()

### getMinimumLeader

    public double getMinimumLeader(SequencePanel sp)

  Description copied from interface: SequenceRenderer
  Retrieve the minimum leading distance for this renderer when rendering sp.

  The leading distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    getMinimumLeader in interface SequenceRenderer
  Tags copied from interface: SequenceRenderer
  Parameters:
    `sp` - the SequencePanel to return info for
  Returns:
    the leading distance of the renderer for that sequence panel

### getMinimumTrailer

    public double getMinimumTrailer(SequencePanel sp)

  Description copied from interface: SequenceRenderer
  Retrieve the minimum trailing distance for this renderer when rendering sp.

  The trailing distance may vary between sequence panels - for example based upon sequence length.

  Specified by:
    getMinimumTrailer in interface SequenceRenderer
  Tags copied from interface: SequenceRenderer
  Parameters:
    `sp` - the SequencePanel to return info for
  Returns:
    the trailing distance of the renderer for that sequence panel

### getFeatures

    protected FeatureHolder getFeatures(SequencePanel sp)

### paint

    public void paint(java.awt.Graphics2D g,
                      SequencePanel sp,
                      java.awt.geom.Rectangle2D seqBox)

  Description copied from interface: SequenceRenderer
  Render a portion (possibly all) of the information for sp to g, displaying all of the data that would fall within seqBox.
  Specified by:
    paint in interface SequenceRenderer
  Tags copied from interface: SequenceRenderer
  Parameters:
    `g` - the Graphics2D to render to
    `sp` - the SequencePanel that encapsulates the information to render
    `seqBox` - the rectangle within which to render sequence stuff

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String p,
                                          java.beans.PropertyChangeListener l)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String p,
                                             java.beans.PropertyChangeListener l)

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent ev)

  Specified by:
    propertyChange in interface java.beans.PropertyChangeListener